# Get Role API

API to retrieve the role for the tenant

Endpoint: GET /authz2/v1/roles/{role_id}
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `role_id` (string, required)
    Role ID

## Response 200 fields (application/json):

  - `id` (string)

  - `name` (string)

  - `description` (string)

  - `role_type` (integer)

## Response 400 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)

## Response 401 fields (application/json):

  - `status` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `code` (integer)
    Either 'status' or 'code' will be present, but not both.

  - `error` (string)
    Either 'error' or 'errors' will be present, but not both.

  - `errors` (array)
    Either 'error' or 'errors' will be present, but not both.

  - `message` (string)


